Bug 1515872 (CVE-2017-16818) - CVE-2017-16818 ceph: Failed assertion through user input in ceph_assert() function in rgw_iam_policy.cc
Summary: CVE-2017-16818 ceph: Failed assertion through user input in ceph_assert() fun...
Status: CLOSED NOTABUG
Alias: CVE-2017-16818
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171010,repor...
Keywords: Security
Depends On: 1515895 1515896
Blocks: 1500503
TreeView+ depends on / blocked
 
Reported: 2017-11-21 14:10 UTC by Pedro Sampaio
Modified: 2019-06-08 22:30 UTC (History)
32 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-21 15:13:51 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1503280 None None None Never

Internal Trackers: 1503280

Description Pedro Sampaio 2017-11-21 14:10:10 UTC
A flaw was discovered in ceph. Assertion in rgw_iam_policy.cc can be reached by user input and fail through data passed in from a rest call causing it to crash.

Upstream patch:

https://github.com/ceph/ceph/commit/b3118cabb8060a8cc6a01c4e8264cb18e7b1745a

Comment 1 Pedro Sampaio 2017-11-21 14:58:30 UTC
Created ceph tracking bugs for this issue:

Affects: epel-6 [bug 1515896]
Affects: fedora-all [bug 1515895]

Comment 2 Siddharth Sharma 2017-11-21 15:05:16 UTC
Analysis:

Red Hat Ceph Storage 1.3 and Red Hat Ceph Storage 2 are not affected by this flaw as bucket policy is not supported in ceph version shipped with these products.


Note You need to log in before you can comment on or make changes to this bug.